* {
    font-family: 'Raleway', sans-serif;
    box-sizing: border-box;
}

body {
  position: relative;
    color: #575757;
    font-size: 16px;
    line-height: 24px;
}

h1, h2, h3, h4 {
    text-align: center;
}

h1 {
    font-size:2.5rem;
    line-height: 3rem;
}

h2 {
    font-size: 2.2rem;
    line-height: 2.8rem;
    margin-bottom: 30px;
}

h3 {
    font-size: 1.5rem;
    line-height: 2rem;
    margin-bottom: 20px;
}

p {
    font-size: 1.125rem;
    line-height: 1.75rem;
    margin-bottom: 20px;
}

a {
    text-decoration: none;
    color: #2C3549;
}

a:focus-visible,
button:focus-visible {
  outline-style: solid;
  outline-color: #FD7F00;
  outline-width: 2px;
  outline-offset: 1px;
  transition: 0.2s;
}

section {
  padding: 50px 0 60px;
}

.section-blurb {
  text-align: left;
  max-width: 850px;
  font-size: 1.125rem;
  line-height: 1.875rem;
  margin: 0 auto 50px;
}

.container {
  max-width: 1220px;
  margin: 0 auto;
  padding: 0 25px;
}

.full-width {
  width: 100%;
  margin: 0 auto;
  padding: 0;
}

.flex {
  display: flex;
}



.col-25,
.col-33,
.col-50,
.col-67,
.col-75 {
  padding: 30px;
}

.col-25 {width: 25%;}
.col-33 {width: 33.3333333333%;}
.col-50 {width: 50%;}
.col-67 {width: 67%;}
.col-75 {width: 33%;}


#skip-content {
  position: absolute;
  font-size: 1.2rem;
  top: 10px;
  z-index: -1;
  margin-left: 10px;
  padding: 12px 22px 12px 22px;
  color: transparent;
  background-color: transparent;
  border: 3px solid transparent;
  border-radius: 3px;
}

#skip-content:focus-visible {
  z-index: 999;
  color: #FFFFFF;
  background-color: #2C3549;
  border: 3px solid #FD7F00;
  outline-style: none;
  outline-color: transparent;
  outline-width: 0px;
  outline-offset: 0px;
}





/* MAIN NAVIGATION */

nav {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 99;
    background-color: #FFFFFF;
    border-bottom: 1px solid #BBBBBB;
    padding: 10px 0;
    box-shadow: 0 4px 4px -4px #BBBBBB;
}

nav > .container {
    display: flex;
    justify-content: space-between;
    align-items: stretch;
  }
  
#nav-logo {
    display: flex;
    align-items: center;
  }

#hamburger,
#nav-links {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 1.125rem;
    list-style: none;
    padding: 0;
    min-height: 50px;
    font-weight: 500;
}
  
#nav-links li a {
    color: #767676;
    padding: 10px 20px;
    margin: 0 3px;
    border-bottom: 2px solid transparent;
    transition: 0.3s;
}

#nav-links li:last-of-type a {
  margin-right: 0;
}

#nav-links li .active {
    border-bottom: 2px solid orange;
    color: #000000;
    transition: all 0.5s;
}

#hamburger {
    display: none;
    padding: 0;
    font-size: 30px;
    cursor: pointer;
    border: 1px solid #767676;
    border-radius: 3px;
}
  
/* .hamburger-item a:hover {
    border-bottom: 2px solid transparent !important;
} */
  
#nav-links li a:hover,
.overlay ul li a:hover {
    color: #000000;
}
  
#hamburger {
    display: none;
}

.fa-bars:before,
.fa-times:before {
  color: #767676;
}





  
/* .hamburger-item a:hover {
    border: 2px solid transparent !important;
} */

@media(max-width:780px) {
    #hamburger {
      display: block;
      transition: 0.2s;
    }

    #hamburger:hover {
      background-color: #EEEEF3;
    }

    #nav-links {
      display: none;
    }

    /* #nav-links li:not(:first-child) {
      display: none;
    } */

    #hamburger {
      width: 52px;
      height: 50px
      /* padding: 4px 12px; */
    }    

    #nav-links.expanded {
      margin-top: 5px;
      display: block;
      position: absolute;
      left: 0;
      background-color: #FFFFFF;
      width: 100%;
      text-align: center;
      padding-bottom: 10px;
      border-bottom: 1px solid #BBBBBB;
      box-shadow: 0 4px 4px -4px #BBBBBB;
    }

    

    #nav-links.expanded li {
      font-size: 1.5rem;
      width: 100%;
      max-width: 450px;
      padding: 15px;
      margin: 10px auto;
    }

    



}

#chris, #balazic {
    font-weight: bold;
    font-size: 1.35rem;
}
  
#chris {
    color: #397d93;
}
  
#balazic {
    color: #2C3549;
}

main {
  padding-bottom: 30px;
}

label {
    display: block;
    font-weight: bold;
    margin-top: 30px;
    margin-bottom: 4px;
}

label:first-of-type {
  margin-top: 0;
}

input,
textarea {
    display: block;
    outline: none;
    border: 0;
    background-color: #F3F4F5;
    background-color: #e6ebee;
    border-bottom: 3px solid #BBBBBB;
    border-radius: 4px 4px 0 0;
    padding: 16px 16px 10px;
    width: 100%;
    transition: 0.2s;
}

textarea {
    resize: none;
}

input[type=text],
input[type=email],
textarea {
    margin-bottom: 5px;
}

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #6D6D6D;
  opacity: 1; /* Firefox */
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
  color: #6D6D6D;
}

::-ms-input-placeholder {
  color: #6D6D6D;
}

#email-me {
  margin-top: 30px;
}

.required {
  position: relative;
  top: 6px;
  font-size: 1.5rem;
  color: #AA0000;
}


/* button[type=submit] {
  background-color: #397d93;
  border-radius: 4px;
  padding: 12px 20px;
  color: #FFFFFF;
  border: none;
  transition: 0.3s;
}

button[type=submit]:hover {
  background-color: #265361;
  transition: all 0.3s;
} */

input:focus,
textarea:focus {
    border-bottom: 3px solid #1E5162;
    background-color: #EEEEEE;
    transition: 0.2s;
}


/* HOMEPAGE INTRO */

#intro {
    height: 100vh;
    min-height: 440px;
    max-height: 1000px;
    background: linear-gradient(rgba(0,10,20,0.9), rgba(0,10,20,0.9)),
                   #000 url('../images/homepage-hero.jpg') no-repeat center / cover;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 80px 0 0 0;
}
  
#intro > .container {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    top: 2.5%;
}
  
.name, .title {
    display: block;
    padding: 20px 0;
    color: white;
    font-weight: bold;
    text-align: center;
}
  
.name {
    font-size: 4.2rem;
    line-height: 1;
}
  
.title {
    border-top: 2px solid orange;
    font-size: 2.8rem;
    line-height: 1;
  }


  @media (max-width: 924px) {
    .name {
      font-size: 3.8rem;
    }
  
    .title {
      font-size: 2.4rem;
    }
  }


  @media (max-width: 712px) {
    .name {
      font-size: 3rem;
      line-height: 1.1;
    }
  
    .title {
      font-size: 1.8rem;
      line-height: 1.4;
    }
  }
  
  button {
    background-color: transparent;
    border:0;
    outline: 0;
  }

  .intro-cta {
    text-align: center;
  }

.btn {
    display: inline-block;
    text-align: center;
    margin: 0;
    padding: 16px 40px;
    transition: color 0.5s, transform 0.2s, background-color 0.2s;
    outline: none;
    border-radius: 20px / 50%;
    transition: all 0.3s;
    position: relative;
    overflow: hidden;
    z-index: 1;
    color: #FFFFFF;
}

.intro-cta .btn {
  margin-top: 50px;
  padding: 16px 50px;
}

@media(max-width:600px) {
  .intro-cta .btn {
    margin-top: 20px;
    padding: 14px 40px;
  }
}

.intro-down {
  margin: 0 auto;
  color: #FFFFFF;
}

.intro-down i {
  display: inline-block;
  padding: 20px;
  color: #777777;
  transition: color 0.5s;
  animation: bouncy 1s linear infinite;
}

@keyframes bouncy {
  0%, 100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(5px);
  }
}

.intro-down i:hover {
  color: #FFFFFFFF;
  text-shadow: 0px 0px 1px #FFFFFF;
}

.btn:after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #1E5162;
  border-radius: 10rem;
  z-index: -2;
}
.btn:before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0%;
  height: 100%;
  background-color: #053849;
  transition: all 0.3s;
  border-radius: 10rem;
  z-index: -1;
}
.btn:hover {
  color: #fff;
}
.btn:hover:before {
  width: 100%;
}


/* About */

#about {
  background-color: #2C3549;
  background-color: #1B2430;
  color: #EEEEEE;
}

#about p:last-of-type {
  margin-bottom: 0;
}

#about > .container > div {
  padding-top: 0;
  padding-bottom: 0;
}

#about .col-33 {
  padding: 0;
}

/* Stat */

#stat {
  /*background: linear-gradient(to right, #2C3549, #222222, #2C3549);*/
  margin-top: 60px;
  border-top: 1px solid #000000;
  border-bottom: 1px solid #000000;
  padding: 50px 0;
  background: linear-gradient(rgba(44,53,73,0.90),rgba(44,53,73,0.90)),
   #2C3549 url('../images/stat-bg.jpg') no-repeat center / cover;
  color: #FFFFFF;
}

.quote {
  margin: 0 auto;
  max-width: 800px;
  font-size: 2rem;
  line-height: 3rem;
  font-style: italic;
  text-align: center;
}

/* Services */


/* #services {
  padding-bottom: 0;
} */

.services-container,
.work-container {
    display: flex;
    align-items: stretch;
    justify-content: space-between;
    flex-wrap: wrap;
}

.services-item {
  width: 50%;
  padding: 40px;
  text-align: left;
  border: 1px solid #DDDDDD;

  /* transition: box-shadow 0.3s; */
}

.services-item:nth-of-type(1)  {
  border-width: 0 1px 1px 0;
}

.services-item:nth-of-type(2) {
  border-width: 0 0 1px 1px;
}

.services-item:nth-of-type(3) {
  border-width: 1px 1px 0 0;
}

.services-item:nth-of-type(4) {
  border-width: 1px 0 0 1px;
}


@media(max-width:850px) {
  .services-item {
    padding: 40px 20px;
  }
}

@media(max-width:700px) {
  .services-item {
    width: 100%;
    padding: 40px 0;
    border-width: 1px 0 0 0 !important;
  }

  .services-item:nth-of-type(1) {
    border-top-width: 0 !important;
  }


  #stat {
    margin-top: 20px;
  }

  .quote {
    font-size: 1.75rem;
    line-height: 2.25rem;
  }
}

@media(max-width:650px) {
  .quote {
    font-size: 1.5rem;
    line-height: 2.25rem;
  }
}


.service-item img {
  width: 100%;
}

#services i {
    display: block;
    text-align: center;
    color: #FD7F00;
    font-size: 3rem;
    margin-bottom: 20px;
}

#services h3 {
    font-weight: bold;
    text-align: center;
}


/*Might remove */

.services-more {
    display: none;
    margin-top: auto;
    color: #397d93;
    font-weight: bold;
    
}

.services-more:after {
    padding-left: 5px;
    content:'\279C';
    font-size: 1.2rem;
}


/* WORK SECTION */

#client-table {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 50px;
}

.client-item {
  width: 20%;
  height:200px;
}

.client-item:nth-child(odd) {
  background-color: #E1E1E1;
}

.client-item:nth-child(even) {
  background-color: #F1F1F1;
}

#work img {
    width: 100%;
    height: 100%;
    border: 1px solid #999999;
}

.work-container {
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-wrap: wrap;
}

.work-item {
    width: 49%;
    margin-bottom: 20px;
    border-radius: 10px;
}

@media(max-width: 640px) {
  .work-item {
    width: 100%;
  }
}

/* CONTACT SECTION */

#contact .col-33 {
  text-align: center;
  padding: 15px;
}


.contact-info {
  background-color: #e6ebee;
  border-radius: 8px;
  padding: 60px 30px;
  transition: 0.3s;
  border: 1px solid transparent;
}

@media (min-width: 800px) and (max-width: 850px) {
  .contact-info {
    padding: 30px 15px;
  }
}

.contact-info:hover {
  transform: scale(1.04);
  border:1px solid #2C3549;
  
}


#contact a {
  display: block;
  margin-top: 10px;
}

.contact-type {
  font-size: 1.25rem;
  margin-bottom: 20px;
}

#contact .contact-link {
  display: inline-block;
}

#contact i {
  font-size: 1.4rem;
  padding-right: 10px;
  color: #FD7F00;
}

.contact-link {
  font-size: 1.1rem;
  text-decoration: underline;
  text-decoration-thickness: 1px;
  text-underline-offset: 3px;
}

.contact-link:hover {
  color: #1E5162;
}

.form {
  margin: 0 auto 50px;
  width: 100%;
  max-width: 700px;
}

textarea {
  word-break: break-all;
  overflow: hidden;
  resize: none;
  height: auto;
}

.form-error-msg {
  display: inline-block;
  background-color: #FFCCCC;
  color: #333333;
  padding: 5px 10px;
  border-radius: 5px;
  margin-top: 5px;
}

.form-success-msg {
    display: inline-block;
    background-color: #9FCC9F;
    color: #333333;
    padding: 5px 10px;
    border-radius: 5px;
    margin-top: 5px;
  }

.input-invalid {
  background-color: #FFE3E3;
  border-bottom: 3px solid #D01111;
}

.input-valid {
  border-bottom: 3px solid #22AA22;
}


.form-error-field {
  border-bottom: 3px #D01111;
}



.hide {
  display:none;
}





/* FOOTER */
footer {
  background-color: #2C3539;
  padding: 25px 0;
  color: #EEEEEE;
}

footer > .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer-copy {
  margin-left: auto;
}

footer a {
  color: #EEEEEE;
  text-decoration: underline;
  text-decoration-thickness: 1px;
  text-underline-offset: 3px;
}

.footer-social img {
  width: 50px;
  margin-left: 30px;
}

.services-list {
  display: flex;
}

.service-img {
   width: 30%;
}

.service-details {
  width: 70%;
  padding: 0 0 50px 50px;
}

.service-img img {
  width: 100%;
}

.service-title {
  font-size: 1.5rem;
  color: #2C3549;
  border-bottom: 1px solid #FD7F00;
  padding-bottom: 10px;
  text-align: left;
}

@media(max-width:840px) {
  .column {
    width: 100%;
    padding: 30px 30px;
  }

  #services .column {
    text-align: center;
  }
}





  @media(max-width: 780px) {

    section {
      padding: 40px 0;
    }

    .flex {
      flex-direction: column;
    }

    .col-25,
    .col-33,
    .col-50,
    .col-67,
    .col-75 {
      width: 100%;
      padding: 30px 0;
      /* margin-bottom: 30px; */
    }

    .container div:last-of-type {
      margin-bottom: 0;
    }


  }


  @media(max-width: 800px) {

    #contact #contact-form {
      margin-bottom: 40px;
    }

    #contact .flex {
      flex-direction: column;
    }
    #contact .col-33 {
      width: 100%;
      margin-left: auto;
      margin-right: auto;
      max-width: 450px;
    }
  }
  